set_txn_begin_flags
Prev | Chapter 3. Db_container | Next

## set_txn_begin_flags

### Function Details

    void set_txn_begin_flags(u_int32_t flag)

Set flag of DbEnv::txn_begin() call.

#### Parameters

##### flag

Flags to be set to DbEnv::txn_begin().

### Group: Get and set functions for data members.

Note that these functions are not thread safe, because all data members of db_container are supposed to be set on container construction and initialization, and remain read only afterwards.

### Class

db_container

Prev | Up | Next
set_all_flags | Home | get_txn_begin_flags